%define majver %(echo %version | cut -d. -f1-2)

Name:          kauth
Version:       5.9.0
Release:       2mamba
Summary:       Execute actions as privileged user
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kauth-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkcoreaddons-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
BuildRequires: libQt5DBus
BuildRequires: libkcoreaddons-devel
BuildRequires: libpolkit-qt5-1-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KAuth provides a convenient, system-integrated way to offload actions that need to be performed as a privileged user (root, for example) to small (hopefully secure) helper utilities.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Execute actions as privileged user

%description -n lib%{name}
KAuth provides a convenient, system-integrated way to offload actions that need to be performed as a privileged user (root, for example) to small (hopefully secure) helper utilities.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build \
   -DLIBEXEC_INSTALL_DIR=%{_kde5_libexecdir}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kauth5-qt --with-qt --all-name || touch kcodecs5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f kauth5-qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Auth.so.*
%{_kde5_qtplugindir}/kauth
%{_kde5_libexecdir}/kauth/kauth-policy-gen
%{_kde5_sysconfdir}/dbus-1/system.d/org.kde.kf5auth.conf
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/kauth_version.h
%{_kde5_includedir}/KAuth
%{_kde5_libdir}/cmake/KF5Auth
%{_kde5_libdir}/libKF5Auth.so
%{_kde5_mkspecsdir}/qt_KAuth.pri
%{_kde5_datadir}/kf5/kauth/dbus_policy.stub
%{_kde5_datadir}/kf5/kauth/dbus_service.stub
%doc README.md

%changelog
* Sat Apr 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-2mamba
- standardize the specfile
- add some missing build requirements

* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sat Feb 28 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
